eID middleware |

# be.portugal.eid.PTEID_Biometric Class Reference

base class for the biometric documents More...

Inheritance diagram for be.portugal.eid.PTEID_Biometric:

List of all members.

## Public Member Functions

synchronized void | delete ()

## Protected Member Functions

| PTEID_Biometric (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions

static long | getCPtr (PTEID_Biometric obj)

## Detailed Description

base class for the biometric documents

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Biometric.PTEID_Biometric | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_Biometric.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

Reimplemented in be.portugal.eid.PTEID_Picture.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Biometric.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

Reimplemented in be.portugal.eid.PTEID_Picture.

static long be.portugal.eid.PTEID_Biometric.getCPtr | ( | PTEID_Biometric | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Biometric.swigCPtr.